Index: LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 3798)
@@ -42,5 +42,5 @@
   USE conf_dat_m,         ONLY: conf_dat2d
   USE phys_state_var_mod, ONLY: zmea, zstd, zsig, zgam, zthe, zpic, zval, z0m, &
-          solsw, radsol, t_ancien, wake_deltat, wake_s,  rain_fall, qsol, z0h, &
+          solsw, solswfdiff, radsol, t_ancien, wake_deltat, wake_s,  rain_fall, qsol, z0h, &
           sollw,sollwdown, rugoro, q_ancien, wake_deltaq, wake_pe, snow_fall, ratqs,w01, &
     sig1, ftsol, clwcon, fm_therm, wake_Cstar,  pctsrf,  entr_therm,radpas, f0,&
@@ -107,5 +107,5 @@
   REAL, DIMENSION(SIZE(masque,1),SIZE(masque,2)) :: masque_tmp,phiso
   REAL, DIMENSION(klon)               :: sn, rugmer, run_off_lic_0, fder
-  REAL, DIMENSION(klon,nbsrf)         :: qsolsrf, snsrf
+  REAL, DIMENSION(klon,nbsrf)         :: qsurf, snsrf
   REAL, DIMENSION(klon,nsoilmx,nbsrf) :: tsoil
 
@@ -121,5 +121,4 @@
   LOGICAL :: flag_aer_feedback
   LOGICAL :: flag_bc_internal_mixture
-  LOGICAL :: new_aod
   REAL    :: bl95_b0, bl95_b1
   INTEGER :: read_climoz                        !--- Read ozone climatology
@@ -143,5 +142,5 @@
                    chemistry_couple, flag_aerosol, flag_aerosol_strat,  & 
                    flag_aer_feedback,                                   &
-                   new_aod, flag_bc_internal_mixture, bl95_b0, bl95_b1, &
+                   flag_bc_internal_mixture, bl95_b0, bl95_b1, &
                    read_climoz, alp_offset)
   CALL phys_state_var_init(read_climoz)
@@ -193,5 +192,5 @@
   WRITE(lunout,*)'phystep =', phystep, radpas
 
-! Init: ftsol, snsrf, qsolsrf, tsoil, rain_fall, snow_fall, solsw, sollw, z0
+! Init: ftsol, snsrf, qsurf, tsoil, rain_fall, snow_fall, solsw, sollw, z0
 !*******************************************************************************
   DO i=1,nbsrf; ftsol(:,i) = tsol; END DO
@@ -210,9 +209,10 @@
 
   fevap(:,:) = 0.
-  DO i=1,nbsrf; qsolsrf(:,i)=150.; END DO
+  qsurf = 0.
   DO i=1,nbsrf; DO j=1,nsoilmx; tsoil(:,j,i) = tsol; END DO; END DO
   rain_fall  = 0.
   snow_fall  = 0.
   solsw      = 165.
+  solswfdiff = 1. 
   sollw      = -53.
 !ym warning missing init for sollwdown => set to 0
@@ -272,5 +272,5 @@
 
   CALL fonte_neige_init(run_off_lic_0)
-  CALL pbl_surface_init( fder, snsrf, qsolsrf, tsoil )
+  CALL pbl_surface_init( fder, snsrf, qsurf, tsoil )
   CALL phyredem( "startphy.nc" )
 
Index: LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3605)
+++ LMDZ6/branches/Ocean_skin/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 3798)
@@ -25,6 +25,16 @@
                       indnum_fn_num,index_trac,&
                       niso,ntraceurs_zone,ntraciso
+#ifdef CPP_StratAer
+  USE infotrac, ONLY: nbtr_bin, nbtr_sulgas, id_OCS_strat, &
+                      id_SO2_strat, id_H2SO4_strat, id_BIN01_strat
+
+#endif
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_phys
+#ifdef CPP_PARA
+  USE parallel_lmdz, ONLY : mpi_size, mpi_rank
+  USE bands, ONLY : distrib_phys
+#endif
+  USE mod_phys_lmdz_omp_data, ONLY: klon_omp
 #endif
   USE control_mod, ONLY: dayref,anneeref,day_step,nday,offline, iphysiq, config_inca
@@ -46,7 +56,4 @@
   USE ioipsl_getin_p_mod, ONLY: getin_p
   USE slab_heat_transp_mod, ONLY: ini_slab_transp_geom
-#ifdef REPROBUS
-  USE CHEM_REP, ONLY : Init_chem_rep_phys
-#endif
   IMPLICIT NONE
 
@@ -147,10 +154,18 @@
                          iso_indnum,zone_num,phase_num,&
                          indnum_fn_num,index_trac,&
-                         niso,ntraceurs_zone,ntraciso)
+                         niso,ntraceurs_zone,ntraciso&
+#ifdef CPP_StratAer
+                         ,nbtr_bin,nbtr_sulgas&
+                         ,id_OCS_strat,id_SO2_strat,id_H2SO4_strat,id_BIN01_strat&
+#endif
+                         )
 
   ! Initializations for Reprobus
   IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
-    CALL Init_chem_rep_phys(klon_omp,nlayer)
+    call Init_chem_rep_phys(klon_omp,nlayer)
+    call init_reprobus_para( &
+          nbp_lon,nbp_lat,nbp_lev,klon_glo,mpi_size, &
+          distrib_phys,communicator)
 #endif
   ENDIF
@@ -168,4 +183,11 @@
 #endif
   END IF
+  IF (type_trac == 'repr') THEN
+#ifdef REPROBUS
+    call init_reprobus_para( &
+          nbp_lon,nbp_lat,nbp_lev,klon_glo,mpi_size, &
+          distrib_phys,communicator)
+#endif
+  ENDIF
 
 !!$OMP PARALLEL DEFAULT(SHARED) COPYIN(/temps/)
